
QGIS Application - Bug report #2555

QGis show attribute table empty with postgres

2010-03-15 11:57 AM - aperi2007 -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Data Provider

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12615

Description

Using this code to create and fill a table on postgres:

DROP TABLE IF EXISTS public.a_multilines;

CREATE TABLE public.a_multilines ( id serial PRIMARY KEY, codice VARCHAR, classe VARCHAR);

SELECT [[AddGeometryColumn]]( 'public','a_multilines', 'geom', 3003, 'MULTILINESTRING', 2 );

DROP INDEX IF EXISTS public.idx_geom_gist_a_multilines;

CREATE INDEX idx_geom_gist_a_multilines ON public.a_multilines using gist ("geom" gist_geometry_ops);

DROP INDEX IF EXISTS public.idx_codice_a_multilines;

CREATE INDEX idx_codice_a_multilines ON public.a_multilines(codice);

DROP INDEX IF EXISTS public.idx_classe_a_multilines;

CREATE INDEX idx_classe_a_multilines ON public.a_multilines(classe);

insert into public.a_multilines (codice,classe,geom) values('pippo','pippo2',ST_GeomFromText('MULTILINESTRING)',3003));

Then 

QGis (r13054) show the attribute table empty.

Instead an identify on the line show the rights values.

Associated revisions

Revision 9d6fe104 - 2010-03-15 08:25 PM - Jürgen Fischer

fix #2555

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@13059 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 172f28b6 - 2010-03-15 08:25 PM - Jürgen Fischer

fix #2555

git-svn-id: http://svn.osgeo.org/qgis/trunk@13059 c8812cc2-4d05-0410-92ff-de0c093fc19c

History
2025-04-27 1/2

http://svn.osgeo.org/qgis/trunk/qgis@13059
- Resolution set to fixed

- Status changed from Open to Closed

fixed in commit:172f28b6 (SVN r13060).

2025-04-27 2/2


